-- Schema: C6MartPeriodico
-- Stored Procedure: PL_D_FD178IndicatoriEsitoAdeguatezza_preMUA











--[C6MartPeriodico].[PL_D_S178IndicatoriEsitoAdeguatezza] 's', 'LMZGNN35M47F205W'
CREATE procedure [C6MartPeriodico].[PL_D_FD178IndicatoriEsitoAdeguatezza_preMUA]
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;


DECLARE @DataFineTrim VARCHAR(8)  
SET @DataFineTrim = c6martperiodico.getTrimestre2(getDate(),0)

--***************************************************************************  SOLO per test
--drop table @appo,#wseian,@TABELLAINDICATORI
--declare @Rete char(1),@CodiceFiscale varchar(16)
--set @Rete = 'f'
--set	@CodiceFiscale = 'BTTFST43C42B300A'--'LNGLGU49D23F587Z'--'BRSDRN64E24D749H'--'00703420968'--
--set @DataFineTrim = 20180430
--***************************************************************************


DECLARE @adeguato [varchar](5)
DECLARE @descrizione [varchar](1000)


-- **************************  creo la tabella iniziale con tutti gli indicatori
declare @TABELLAINDICATORI table
(
   TI_Ordine  [smallint] null,
   TI_Indicatore [varchar](80) null,
   TI_Adeguato [varchar](5) null,
   TI_Descrizione [varchar](1000) null
)

insert into @TABELLAINDICATORI values (1,'Rischio','-1','Non applicabile')
insert into @TABELLAINDICATORI values (2,'Riserva','-1','Non applicabile')
insert into @TABELLAINDICATORI values (3,'Investimento di Lungo Periodo','-1','Non applicabile')
insert into @TABELLAINDICATORI values (4,'Complessità','-1','Non applicabile')
insert into @TABELLAINDICATORI values (5,'Concentrazione in prodotti complessi','-1','Non applicabile')
insert into @TABELLAINDICATORI values (6,'Frequenza delle operazioni','-1','Non applicabile')
insert into @TABELLAINDICATORI values (7,'Concentrazione emittenti','-1','Non applicabile')
insert into @TABELLAINDICATORI values (8,'Concentrazione valutaria','-1','Non applicabile')

-- *****************************************************************************

declare @appo table
(
  RETE [varchar](1) null,
   COD_FISCALE [varchar](16) null,
   PATRIMONIO [varchar](255) NOT NULL,
   CTV_AGGREG [decimal](12, 2) null,
   profiloCode [smallint] null,
   var_profilo [decimal](5, 2) null,
   [VAR] [decimal](12, 3) NULL,
   varString [varchar](16) null,--[decimal](12, 3) NULL,
   CREDITRISK  [int] NULL,
   RISKCLASSSTRING [varchar](10) null,
   coperturaString [varchar](16) null,--[decimal](12, 3) NULL,
   COVERAGESTRING [varchar](10) null,
   RISKCLASSMAX [varchar](50) null,
   [PERCENTAGE] [decimal](12, 6) null,
   Ordine  [smallint] null,
   ULLY_PERC [decimal](10, 2) NULL
    

)
--creo le tabelle di appoggio
insert into @appo exec [C6MartPeriodico].[PL_D2_S169RischiomercatoRischiocredito] @Rete,@CodiceFiscale

declare @WSEIAN_S170 table
(
		[DTTRIM] [decimal](9, 0) NOT NULL,
	[RETE] [varchar](1) NOT NULL,
	[CODFIS] [varchar](16) NOT NULL,
	[NOME] [varchar](25) NULL,
	[COGNOME] [varchar](25) NULL,
	[DTNASCI] [decimal](9, 0) NULL,
	[INDIRIZZO] [varchar](44) NULL,
	[CAP] [varchar](5) NULL,
	[CITTA] [varchar](35) NULL,
	[PROVINCIA] [varchar](2) NULL,
	[NAZIONE] [varchar](35) NULL,
	[CODPROF] [smallint] NULL,
	[DTINVAL] [decimal](9, 0) NOT NULL,
	[CODMAN] [varchar](6) NULL,
	[CLASSERC] [decimal](5, 0) NULL,
	[COD_PROFEC] [decimal](5, 0) NULL,
	[FLAGPG] [decimal](1, 0) NULL,
	[CLCOMPL] [char](1) NOT NULL,
	[FLGCONC] [char](1) NOT NULL,
	[FLAGNQP] [char](1) NULL,
	[FLGPRLRDE] [char](1) NULL,
	[FLGPROF] [char](1) NULL,
	[DTFINVAL] [decimal](9, 0) NULL,
	[CONCEMI] [char](1) NULL,
	[FREQ] [char](1) NULL,
	[LLIQUID] [char](1) NULL,
	[PREFSOST] [char](1) NULL,
	[FLAGAMB] [char](1) NULL,
	[FLAGSOC] [char](1) NULL,
	[FLAGGOV] [char](1) NULL,
	[ADEGCONC_VALUT] [char](1) NULL,
	[SOGLIAESG] [decimal](5, 2) NULL,
	[COERENZA] [char](1) NULL,
	[RISERVA] [char](1) NULL,
	[INVL_PERIOD] [char](
